/* style.css */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: Inter;
}
hr {
    margin-top: 20px;
    margin-bottom: 20px;
    border: none;
    height: 5px;
    background-color: #c4ccd7; /* Sesuaikan warna garis sesuai kebutuhan */
}

.container {
    display: flex;
    height: 95vh;
}
.logo {
    height: 50px;
    background-color: #610909;
    display: flex; /* Gunakan Flexbox untuk pengaturan layout */
    justify-content: center; /* Pusatkan secara horizontal */
    align-items: center; /* Pusatkan secara vertikal */
    color: #fafafa;
}

.title {
    font-size: 34px;
    color: #fafafa; /* Warna putih */
    margin: 0; /* Hilangkan margin default */
    font-weight: 800;
}


.sidebar {
    width: 300px;
    background-color: #ebebeb;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-right: 1px solid #ccc;
}

.sidebar-header h1 {
    font-size: 24px;
    color: #1A3A44;
    margin-top: 10px;
}

.sidebar-header h2 {
    font-size: 20px;
    color: #5d0000;
    margin-top: 5px;
}
.sidebar-header h6 {
    margin-top: 5px;
    color: #3e3c3c;
}

.sidebar-header p {
    font-size: 14px;
    color: #666;
    margin-top: 10px;
}

.details-btn, .settings-btn {
    display: inline-block;
    padding: 10px;
    background-color: #60C9B6;
    color: white;
    border: none;
    cursor: pointer;
    width: 100%;
    text-align: center;
    margin-top: 10px;
    border-radius: 5px;
}
.controls {
    margin: 20px 0 20px 0;
    /* text-align: center; */
}
.controls label {
    display: block;
    font-size: 12px;
    color: #2B579A;
    margin-bottom: 5px;
    font-weight: 800;
}
/* .controls .yearSlider {
    font-size: 24px;
    color: #2B579A;
} */

#yearLabel {
    font-size: 24px;
    font-weight: 600;
}
.controls input[type="range"] {
    width: 100%;
    margin-top: 10px;
    -webkit-appearance: none;
    height: 5px;
    background: #bacaea;
    outline: none;
    border-radius: 5px;
    opacity: 0.7;
}
.controls input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 20px;
    height: 20px;
    background: #2B579A;
    cursor: pointer;
    border-radius: 50%;
}

#year-slider {
    width: 100%;
    margin-top: 10px;
}

.tutorial-link {
    display: block;
    margin-top: 10px;
    color: #007ac2;
    text-align: center;
    text-decoration: underline;
}

.main-content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.top-bar {
    /* display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px; */
    /* border-bottom: 1px solid #ccc; */
    z-index: 99;
    position: absolute;
    top: 10px;
    left: 350px;
}

.choose-map-btn {
    background-color: #60C9B6;
    color: white;
    padding: 8px 12px;
    border: none;
    cursor: pointer;
    border-radius: 4px;
}

.right-buttons button {
    background-color: white;
    border: 1px solid #ccc;
    padding: 8px 12px;
    margin-left: 5px;
    cursor: pointer;
    border-radius: 4px;
}

.right-buttons input {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

#map {
    flex-grow: 1;
    background-color: #e5e5e5;
    position: relative;
    z-index: 1;
}

footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    background-color: #610909;
    color: white;
    font-size: 14px;
    height: 40px;
}

.footer-links a {
    color: white;
    margin-right: 15px;
    text-decoration: none;
}

.footer-links a:hover {
    text-decoration: underline;
}

.footer-buttons button {
    background-color: #005bb5;
    color: white;
    border: none;
    padding: 8px 12px;
    margin-left: 10px;
    cursor: pointer;
    border-radius: 4px;
}


/* #map-legend {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 1000;
    background: white;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 12px;
} */
.information {
    font-size: small;
}